ProjectHelper2.ProjectHandler (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.helper, class: ProjectHelper2, class: ProjectHandler

Package org.apache.tools.ant.helper

# Class ProjectHelper2.ProjectHandler

java.lang.Object
org.apache.tools.ant.helper.ProjectHelper2.AntHandler
org.apache.tools.ant.helper.ProjectHelper2.ProjectHandler

Enclosing class:
  ProjectHelper2

    public static class ProjectHelper2.ProjectHandler
    extends ProjectHelper2.AntHandler

Handler for the top level "project" element.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProjectHandler()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ProjectHelper2.AntHandler` | `onStartChild​(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` | Handles the start of a top-level element within the project.
  `void` | `onStartElement​(java.lang.String uri, java.lang.String tag, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` | Initialisation routine called after handler creation with the element name and attributes.

  ### Methods inherited from class org.apache.tools.ant.helper.ProjectHelper2.AntHandler

  `characters, checkNamespace, onEndChild, onEndElement`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectHandler

    public ProjectHandler()

- ## Method Details

  - ### onStartElement

    public void onStartElement​(java.lang.String uri, java.lang.String tag, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context) throws org.xml.sax.SAXParseException
    Initialisation routine called after handler creation with the element name and attributes. The attributes which this handler can deal with are: `"default"`, `"name"`, `"id"` and `"basedir"`.
    Overrides:
      `onStartElement` in class `ProjectHelper2.AntHandler`
    Parameters:
      `uri` - The namespace URI for this element.
      `tag` - Name of the element which caused this handler to be created. Should not be `null`. Ignored in this implementation.
      `qname` - The qualified name for this element.
      `attrs` - Attributes of the element which caused this handler to be created. Must not be `null`.
      `context` - The current context.
    Throws:
      `org.xml.sax.SAXParseException` - if an unexpected attribute is encountered or if the `"default"` attribute is missing.

  - ### onStartChild

    public ProjectHelper2.AntHandler onStartChild​(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context) throws org.xml.sax.SAXParseException
    Handles the start of a top-level element within the project. An appropriate handler is created and initialised with the details of the element.
    Overrides:
      `onStartChild` in class `ProjectHelper2.AntHandler`
    Parameters:
      `uri` - The namespace URI for this element.
      `name` - The name of the element being started. Will not be `null`.
      `qname` - The qualified name for this element.
      `attrs` - Attributes of the element being started. Will not be `null`.
      `context` - The context for this element.
    Returns:
      a target or an element handler.
    Throws:
      `org.xml.sax.SAXParseException` - if the tag given is not `"taskdef"`, `"typedef"`, `"property"`, `"target"`, `"extension-point"` or a data type definition